class WeeklyHeartRateResModel {
  num? valueAvg;
  String? machineDate;
  int? medCategoryID;
  int? patientID;

  WeeklyHeartRateResModel(
      {this.valueAvg, this.machineDate, this.medCategoryID, this.patientID});

  WeeklyHeartRateResModel.fromJson(Map<String, dynamic> json) {
    num value = json['ValueAvg'] != null ? json['ValueAvg'] : 0.0;
    valueAvg = json['ValueAvg'] != null ? value.toInt() : 0;
    machineDate = json['MachineDate'];
    medCategoryID = json['MedCategoryID'];
    patientID = json['PatientID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ValueAvg'] = this.valueAvg;
    data['MachineDate'] = this.machineDate;
    data['MedCategoryID'] = this.medCategoryID;
    data['PatientID'] = this.patientID;
    return data;
  }
}
